# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class LastModifiedBy

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.Person
                  com.google.gdata.data.extensions.LastModifiedBy

All Implemented Interfaces:
  Extension, IPerson

    public class LastModifiedBy

extends Person

The user who last modified the object.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.Person
`Person.AtomHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.Person
`email, name, nameLang, uri`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`LastModifiedBy()` Default mutable constructor.
`LastModifiedBy(Person person)` Constructor (mutable or immutable).

Method Summary
`protected void` `generate(com.google.gdata.util.common.xml.XmlWriter w, ExtensionProfile p, com.google.gdata.util.common.xml.XmlNamespace namespace, java.lang.String localName, java.util.List<com.google.gdata.util.common.xml.XmlWriter.Attribute> attrs, AttributeGenerator generator)` Generates XML.

Methods inherited from class com.google.gdata.data.Person
`generate, generateAtom, generateRss, getEmail, getHandler, getName, getNameLang, getUri, setEmail, setName, setNameLang, setUri`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, declareExtensions, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LastModifiedBy

    public LastModifiedBy()

  Default mutable constructor.

### LastModifiedBy

    public LastModifiedBy(Person person)

  Constructor (mutable or immutable).

  Parameters:
    `person` - the user

Method Detail

### generate

    protected void generate(com.google.gdata.util.common.xml.XmlWriter w,
                            ExtensionProfile p,
                            com.google.gdata.util.common.xml.XmlNamespace namespace,
                            java.lang.String localName,
                            java.util.List<com.google.gdata.util.common.xml.XmlWriter.Attribute> attrs,
                            AttributeGenerator generator)
                     throws java.io.IOException

  Description copied from class: `Person`
  Generates XML.

  Designed to be used by `ExtensionPoint` types that reuse Person.

  Overrides:
    `generate` in class `Person`
  Parameters:
    `w` - XML writer
    `p` - extension profile
    `namespace` - XML namespace for this extension
    `localName` - XML local name for this extension
    `attrs` - list of XML attributes
    `generator` - attribute generator
  Throws:
    `java.io.IOException` - any I/O exception